<?php

namespace Sabre\OTAAirRules;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'OTA_AirRulesRQ' => '\\Sabre\\OTAAirRules\\Structs\\OTA_AirRulesRQ',
            'OptionalQualifiers' => '\\Sabre\\OTAAirRules\\Structs\\OptionalQualifiers',
            'PricingQualifiers' => '\\Sabre\\OTAAirRules\\Structs\\PricingQualifiers',
            'Account' => '\\Sabre\\OTAAirRules\\Structs\\Account',
            'Corporate' => '\\Sabre\\OTAAirRules\\Structs\\Corporate',
            'FareOptions' => '\\Sabre\\OTAAirRules\\Structs\\FareOptions',
            'TravelDateOptions' => '\\Sabre\\OTAAirRules\\Structs\\TravelDateOptions',
            'Historical' => '\\Sabre\\OTAAirRules\\Structs\\Historical',
            'OriginDestinationInformation' => '\\Sabre\\OTAAirRules\\Structs\\OriginDestinationInformation',
            'FlightSegment' => '\\Sabre\\OTAAirRules\\Structs\\FlightSegment',
            'DestinationLocation' => '\\Sabre\\OTAAirRules\\Structs\\DestinationLocation',
            'MarketingCarrier' => '\\Sabre\\OTAAirRules\\Structs\\MarketingCarrier',
            'OriginLocation' => '\\Sabre\\OTAAirRules\\Structs\\OriginLocation',
            'RuleReqInfo' => '\\Sabre\\OTAAirRules\\Structs\\RuleReqInfo',
            'FareBasis' => '\\Sabre\\OTAAirRules\\Structs\\FareBasis',
            'SabreHeader' => '\\Sabre\\OTAAirRules\\Structs\\SabreHeader',
            'DiagnosticResults' => '\\Sabre\\OTAAirRules\\Structs\\DiagnosticResults',
            'Diagnostics' => '\\Sabre\\OTAAirRules\\Structs\\Diagnostics',
            'Identification' => '\\Sabre\\OTAAirRules\\Structs\\Identification',
            'Identifier.System' => '\\Sabre\\OTAAirRules\\Structs\\Identifier_System',
            'Message.Condition' => '\\Sabre\\OTAAirRules\\Structs\\Message_Condition',
            'ProblemBase' => '\\Sabre\\OTAAirRules\\Structs\\ProblemBase',
            'ProblemSummary' => '\\Sabre\\OTAAirRules\\Structs\\ProblemSummary',
            'ResultSummary' => '\\Sabre\\OTAAirRules\\Structs\\ResultSummary',
            'Security' => '\\Sabre\\OTAAirRules\\Structs\\Security',
            'Service' => '\\Sabre\\OTAAirRules\\Structs\\Service',
            'Traces' => '\\Sabre\\OTAAirRules\\Structs\\Traces',
            'TraceRecord' => '\\Sabre\\OTAAirRules\\Structs\\TraceRecord',
            'TrackingID' => '\\Sabre\\OTAAirRules\\Structs\\TrackingID',
            'STL_Payload' => '\\Sabre\\OTAAirRules\\Structs\\STL_Payload',
            'Results' => '\\Sabre\\OTAAirRules\\Structs\\Results',
            'ApplicationResults' => '\\Sabre\\OTAAirRules\\Structs\\ApplicationResults',
            'ProblemInformation' => '\\Sabre\\OTAAirRules\\Structs\\ProblemInformation',
            'SystemSpecificResults' => '\\Sabre\\OTAAirRules\\Structs\\SystemSpecificResults',
            'HostCommand' => '\\Sabre\\OTAAirRules\\Structs\\HostCommand',
            'OTA_AirRulesRS' => '\\Sabre\\OTAAirRules\\Structs\\OTA_AirRulesRS',
            'DuplicateFareInfo' => '\\Sabre\\OTAAirRules\\Structs\\DuplicateFareInfo',
            'FareRuleInfo' => '\\Sabre\\OTAAirRules\\Structs\\FareRuleInfo',
            'Header' => '\\Sabre\\OTAAirRules\\Structs\\Header',
            'Line' => '\\Sabre\\OTAAirRules\\Structs\\Line',
            'ParsedData' => '\\Sabre\\OTAAirRules\\Structs\\ParsedData',
            'CurrencyLine' => '\\Sabre\\OTAAirRules\\Structs\\CurrencyLine',
            'FareBasisLine' => '\\Sabre\\OTAAirRules\\Structs\\FareBasisLine',
            'DisplayType' => '\\Sabre\\OTAAirRules\\Structs\\DisplayType',
            'FareTypeLine' => '\\Sabre\\OTAAirRules\\Structs\\FareTypeLine',
            'FareDescription' => '\\Sabre\\OTAAirRules\\Structs\\FareDescription',
            'FootnoteLine' => '\\Sabre\\OTAAirRules\\Structs\\FootnoteLine',
            'OriginDestinationLine' => '\\Sabre\\OTAAirRules\\Structs\\OriginDestinationLine',
            'Airline' => '\\Sabre\\OTAAirRules\\Structs\\Airline',
            'PassengerTypeLine' => '\\Sabre\\OTAAirRules\\Structs\\PassengerTypeLine',
            'PassengerType' => '\\Sabre\\OTAAirRules\\Structs\\PassengerType',
            'SITA_Line' => '\\Sabre\\OTAAirRules\\Structs\\SITA_Line',
            'SystemDatesLine' => '\\Sabre\\OTAAirRules\\Structs\\SystemDatesLine',
            'Rules' => '\\Sabre\\OTAAirRules\\Structs\\Rules',
            'Paragraph' => '\\Sabre\\OTAAirRules\\Structs\\Paragraph',
            'RoutingInfo' => '\\Sabre\\OTAAirRules\\Structs\\RoutingInfo',
            'SignatureType' => '\\Sabre\\OTAAirRules\\Structs\\SignatureType',
            'SignatureValueType' => '\\Sabre\\OTAAirRules\\Structs\\SignatureValueType',
            'SignedInfoType' => '\\Sabre\\OTAAirRules\\Structs\\SignedInfoType',
            'CanonicalizationMethodType' => '\\Sabre\\OTAAirRules\\Structs\\CanonicalizationMethodType',
            'SignatureMethodType' => '\\Sabre\\OTAAirRules\\Structs\\SignatureMethodType',
            'ReferenceType' => '\\Sabre\\OTAAirRules\\Structs\\ReferenceType',
            'TransformsType' => '\\Sabre\\OTAAirRules\\Structs\\TransformsType',
            'TransformType' => '\\Sabre\\OTAAirRules\\Structs\\TransformType',
            'DigestMethodType' => '\\Sabre\\OTAAirRules\\Structs\\DigestMethodType',
            'KeyInfoType' => '\\Sabre\\OTAAirRules\\Structs\\KeyInfoType',
            'KeyValueType' => '\\Sabre\\OTAAirRules\\Structs\\KeyValueType',
            'RetrievalMethodType' => '\\Sabre\\OTAAirRules\\Structs\\RetrievalMethodType',
            'X509DataType' => '\\Sabre\\OTAAirRules\\Structs\\X509DataType',
            'X509IssuerSerialType' => '\\Sabre\\OTAAirRules\\Structs\\X509IssuerSerialType',
            'PGPDataType' => '\\Sabre\\OTAAirRules\\Structs\\PGPDataType',
            'SPKIDataType' => '\\Sabre\\OTAAirRules\\Structs\\SPKIDataType',
            'ObjectType' => '\\Sabre\\OTAAirRules\\Structs\\ObjectType',
            'ManifestType' => '\\Sabre\\OTAAirRules\\Structs\\ManifestType',
            'SignaturePropertiesType' => '\\Sabre\\OTAAirRules\\Structs\\SignaturePropertiesType',
            'SignaturePropertyType' => '\\Sabre\\OTAAirRules\\Structs\\SignaturePropertyType',
            'DSAKeyValueType' => '\\Sabre\\OTAAirRules\\Structs\\DSAKeyValueType',
            'RSAKeyValueType' => '\\Sabre\\OTAAirRules\\Structs\\RSAKeyValueType',
            'Envelope' => '\\Sabre\\OTAAirRules\\Structs\\Envelope',
            'Body' => '\\Sabre\\OTAAirRules\\Structs\\Body',
            'Fault' => '\\Sabre\\OTAAirRules\\Structs\\Fault',
            'detail' => '\\Sabre\\OTAAirRules\\Structs\\Detail',
            'Manifest' => '\\Sabre\\OTAAirRules\\Structs\\Manifest',
            'Reference' => '\\Sabre\\OTAAirRules\\Structs\\Reference',
            'Schema' => '\\Sabre\\OTAAirRules\\Structs\\Schema',
            'MessageHeader' => '\\Sabre\\OTAAirRules\\Structs\\MessageHeader',
            'MessageData' => '\\Sabre\\OTAAirRules\\Structs\\MessageData',
            'SyncReply' => '\\Sabre\\OTAAirRules\\Structs\\SyncReply',
            'MessageOrder' => '\\Sabre\\OTAAirRules\\Structs\\MessageOrder',
            'AckRequested' => '\\Sabre\\OTAAirRules\\Structs\\AckRequested',
            'Acknowledgment' => '\\Sabre\\OTAAirRules\\Structs\\Acknowledgment',
            'ErrorList' => '\\Sabre\\OTAAirRules\\Structs\\ErrorList',
            'Error' => '\\Sabre\\OTAAirRules\\Structs\\Error',
            'StatusResponse' => '\\Sabre\\OTAAirRules\\Structs\\StatusResponse',
            'StatusRequest' => '\\Sabre\\OTAAirRules\\Structs\\StatusRequest',
            'sequenceNumber.type' => '\\Sabre\\OTAAirRules\\Structs\\SequenceNumber_type',
            'PartyId' => '\\Sabre\\OTAAirRules\\Structs\\PartyId',
            'To' => '\\Sabre\\OTAAirRules\\Structs\\To',
            'From' => '\\Sabre\\OTAAirRules\\Structs\\From',
            'Description' => '\\Sabre\\OTAAirRules\\Structs\\Description',
            'UsernameToken' => '\\Sabre\\OTAAirRules\\Structs\\UsernameToken',
        );
    }
}
