<?php

namespace Sabre\OTAAirRules\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FareBasisLine Structs
 * @subpackage Structs
 */
class FareBasisLine extends AbstractStructBase
{
    /**
     * The DisplayType
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\OTAAirRules\Structs\DisplayType
     */
    public $DisplayType;
    /**
     * The FareBasis
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\OTAAirRules\Structs\FareBasis
     */
    public $FareBasis;
    /**
     * The FareVendor
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $FareVendor;
    /**
     * The Text
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Text;
    /**
     * Constructor method for FareBasisLine
     * @uses FareBasisLine::setDisplayType()
     * @uses FareBasisLine::setFareBasis()
     * @uses FareBasisLine::setFareVendor()
     * @uses FareBasisLine::setText()
     * @param \Sabre\OTAAirRules\Structs\DisplayType $displayType
     * @param \Sabre\OTAAirRules\Structs\FareBasis $fareBasis
     * @param string $fareVendor
     * @param string $text
     */
    public function __construct(\Sabre\OTAAirRules\Structs\DisplayType $displayType = null, \Sabre\OTAAirRules\Structs\FareBasis $fareBasis = null, $fareVendor = null, $text = null)
    {
        $this
            ->setDisplayType($displayType)
            ->setFareBasis($fareBasis)
            ->setFareVendor($fareVendor)
            ->setText($text);
    }
    /**
     * Get DisplayType value
     * @return \Sabre\OTAAirRules\Structs\DisplayType|null
     */
    public function getDisplayType()
    {
        return $this->DisplayType;
    }
    /**
     * Set DisplayType value
     * @param \Sabre\OTAAirRules\Structs\DisplayType $displayType
     * @return \Sabre\OTAAirRules\Structs\FareBasisLine
     */
    public function setDisplayType(\Sabre\OTAAirRules\Structs\DisplayType $displayType = null)
    {
        $this->DisplayType = $displayType;
        return $this;
    }
    /**
     * Get FareBasis value
     * @return \Sabre\OTAAirRules\Structs\FareBasis|null
     */
    public function getFareBasis()
    {
        return $this->FareBasis;
    }
    /**
     * Set FareBasis value
     * @param \Sabre\OTAAirRules\Structs\FareBasis $fareBasis
     * @return \Sabre\OTAAirRules\Structs\FareBasisLine
     */
    public function setFareBasis(\Sabre\OTAAirRules\Structs\FareBasis $fareBasis = null)
    {
        $this->FareBasis = $fareBasis;
        return $this;
    }
    /**
     * Get FareVendor value
     * @return string|null
     */
    public function getFareVendor()
    {
        return $this->FareVendor;
    }
    /**
     * Set FareVendor value
     * @param string $fareVendor
     * @return \Sabre\OTAAirRules\Structs\FareBasisLine
     */
    public function setFareVendor($fareVendor = null)
    {
        $this->FareVendor = $fareVendor;
        return $this;
    }
    /**
     * Get Text value
     * @return string|null
     */
    public function getText()
    {
        return $this->Text;
    }
    /**
     * Set Text value
     * @param string $text
     * @return \Sabre\OTAAirRules\Structs\FareBasisLine
     */
    public function setText($text = null)
    {
        $this->Text = $text;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\OTAAirRules\Structs\FareBasisLine
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
