<?php

namespace Sabre\OTAAirRules\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FareTypeLine Structs
 * @subpackage Structs
 */
class FareTypeLine extends AbstractStructBase
{
    /**
     * The FareDescription
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\OTAAirRules\Structs\FareDescription
     */
    public $FareDescription;
    /**
     * The FareType
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $FareType;
    /**
     * Constructor method for FareTypeLine
     * @uses FareTypeLine::setFareDescription()
     * @uses FareTypeLine::setFareType()
     * @param \Sabre\OTAAirRules\Structs\FareDescription $fareDescription
     * @param string $fareType
     */
    public function __construct(\Sabre\OTAAirRules\Structs\FareDescription $fareDescription = null, $fareType = null)
    {
        $this
            ->setFareDescription($fareDescription)
            ->setFareType($fareType);
    }
    /**
     * Get FareDescription value
     * @return \Sabre\OTAAirRules\Structs\FareDescription|null
     */
    public function getFareDescription()
    {
        return $this->FareDescription;
    }
    /**
     * Set FareDescription value
     * @param \Sabre\OTAAirRules\Structs\FareDescription $fareDescription
     * @return \Sabre\OTAAirRules\Structs\FareTypeLine
     */
    public function setFareDescription(\Sabre\OTAAirRules\Structs\FareDescription $fareDescription = null)
    {
        $this->FareDescription = $fareDescription;
        return $this;
    }
    /**
     * Get FareType value
     * @return string|null
     */
    public function getFareType()
    {
        return $this->FareType;
    }
    /**
     * Set FareType value
     * @param string $fareType
     * @return \Sabre\OTAAirRules\Structs\FareTypeLine
     */
    public function setFareType($fareType = null)
    {
        $this->FareType = $fareType;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\OTAAirRules\Structs\FareTypeLine
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
