<?php

namespace Sabre\OTAAirRules\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FootnoteLine Structs
 * @subpackage Structs
 */
class FootnoteLine extends AbstractStructBase
{
    /**
     * The Footnotes
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Footnotes;
    /**
     * Constructor method for FootnoteLine
     * @uses FootnoteLine::setFootnotes()
     * @param string $footnotes
     */
    public function __construct($footnotes = null)
    {
        $this
            ->setFootnotes($footnotes);
    }
    /**
     * Get Footnotes value
     * @return string|null
     */
    public function getFootnotes()
    {
        return $this->Footnotes;
    }
    /**
     * Set Footnotes value
     * @param string $footnotes
     * @return \Sabre\OTAAirRules\Structs\FootnoteLine
     */
    public function setFootnotes($footnotes = null)
    {
        $this->Footnotes = $footnotes;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\OTAAirRules\Structs\FootnoteLine
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
