<?php

namespace Sabre\OTAAirRules\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OTA_AirRulesRS Structs
 * @subpackage Structs
 */
class OTA_AirRulesRS extends AbstractStructBase
{
    /**
     * The ApplicationResults
     * Meta informations extracted from the WSDL
     * - ref: stl:ApplicationResults
     * @var \Sabre\OTAAirRules\Structs\ApplicationResults
     */
    public $ApplicationResults;
    /**
     * The DuplicateFareInfo
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\OTAAirRules\Structs\DuplicateFareInfo
     */
    public $DuplicateFareInfo;
    /**
     * The FareRuleInfo
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\OTAAirRules\Structs\FareRuleInfo
     */
    public $FareRuleInfo;
    /**
     * The RoutingInfo
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\OTAAirRules\Structs\RoutingInfo
     */
    public $RoutingInfo;
    /**
     * The Version
     * Meta informations extracted from the WSDL
     * - use: optional
     * @var string
     */
    public $Version;
    /**
     * Constructor method for OTA_AirRulesRS
     * @uses OTA_AirRulesRS::setApplicationResults()
     * @uses OTA_AirRulesRS::setDuplicateFareInfo()
     * @uses OTA_AirRulesRS::setFareRuleInfo()
     * @uses OTA_AirRulesRS::setRoutingInfo()
     * @uses OTA_AirRulesRS::setVersion()
     * @param \Sabre\OTAAirRules\Structs\ApplicationResults $applicationResults
     * @param \Sabre\OTAAirRules\Structs\DuplicateFareInfo $duplicateFareInfo
     * @param \Sabre\OTAAirRules\Structs\FareRuleInfo $fareRuleInfo
     * @param \Sabre\OTAAirRules\Structs\RoutingInfo $routingInfo
     * @param string $version
     */
    public function __construct(\Sabre\OTAAirRules\Structs\ApplicationResults $applicationResults = null, \Sabre\OTAAirRules\Structs\DuplicateFareInfo $duplicateFareInfo = null, \Sabre\OTAAirRules\Structs\FareRuleInfo $fareRuleInfo = null, \Sabre\OTAAirRules\Structs\RoutingInfo $routingInfo = null, $version = null)
    {
        $this
            ->setApplicationResults($applicationResults)
            ->setDuplicateFareInfo($duplicateFareInfo)
            ->setFareRuleInfo($fareRuleInfo)
            ->setRoutingInfo($routingInfo)
            ->setVersion($version);
    }
    /**
     * Get ApplicationResults value
     * @return \Sabre\OTAAirRules\Structs\ApplicationResults|null
     */
    public function getApplicationResults()
    {
        return $this->ApplicationResults;
    }
    /**
     * Set ApplicationResults value
     * @param \Sabre\OTAAirRules\Structs\ApplicationResults $applicationResults
     * @return \Sabre\OTAAirRules\Structs\OTA_AirRulesRS
     */
    public function setApplicationResults(\Sabre\OTAAirRules\Structs\ApplicationResults $applicationResults = null)
    {
        $this->ApplicationResults = $applicationResults;
        return $this;
    }
    /**
     * Get DuplicateFareInfo value
     * @return \Sabre\OTAAirRules\Structs\DuplicateFareInfo|null
     */
    public function getDuplicateFareInfo()
    {
        return $this->DuplicateFareInfo;
    }
    /**
     * Set DuplicateFareInfo value
     * @param \Sabre\OTAAirRules\Structs\DuplicateFareInfo $duplicateFareInfo
     * @return \Sabre\OTAAirRules\Structs\OTA_AirRulesRS
     */
    public function setDuplicateFareInfo(\Sabre\OTAAirRules\Structs\DuplicateFareInfo $duplicateFareInfo = null)
    {
        $this->DuplicateFareInfo = $duplicateFareInfo;
        return $this;
    }
    /**
     * Get FareRuleInfo value
     * @return \Sabre\OTAAirRules\Structs\FareRuleInfo|null
     */
    public function getFareRuleInfo()
    {
        return $this->FareRuleInfo;
    }
    /**
     * Set FareRuleInfo value
     * @param \Sabre\OTAAirRules\Structs\FareRuleInfo $fareRuleInfo
     * @return \Sabre\OTAAirRules\Structs\OTA_AirRulesRS
     */
    public function setFareRuleInfo(\Sabre\OTAAirRules\Structs\FareRuleInfo $fareRuleInfo = null)
    {
        $this->FareRuleInfo = $fareRuleInfo;
        return $this;
    }
    /**
     * Get RoutingInfo value
     * @return \Sabre\OTAAirRules\Structs\RoutingInfo|null
     */
    public function getRoutingInfo()
    {
        return $this->RoutingInfo;
    }
    /**
     * Set RoutingInfo value
     * @param \Sabre\OTAAirRules\Structs\RoutingInfo $routingInfo
     * @return \Sabre\OTAAirRules\Structs\OTA_AirRulesRS
     */
    public function setRoutingInfo(\Sabre\OTAAirRules\Structs\RoutingInfo $routingInfo = null)
    {
        $this->RoutingInfo = $routingInfo;
        return $this;
    }
    /**
     * Get Version value
     * @return string|null
     */
    public function getVersion()
    {
        return $this->Version;
    }
    /**
     * Set Version value
     * @param string $version
     * @return \Sabre\OTAAirRules\Structs\OTA_AirRulesRS
     */
    public function setVersion($version = null)
    {
        $this->Version = $version;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\OTAAirRules\Structs\OTA_AirRulesRS
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
