<?php

namespace Sabre\OTAAirRules\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PricingQualifiers Structs
 * @subpackage Structs
 */
class PricingQualifiers extends AbstractStructBase
{
    /**
     * The Account
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\OTAAirRules\Structs\Account
     */
    public $Account;
    /**
     * The Corporate
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\OTAAirRules\Structs\Corporate
     */
    public $Corporate;
    /**
     * The FareOptions
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\OTAAirRules\Structs\FareOptions
     */
    public $FareOptions;
    /**
     * Constructor method for PricingQualifiers
     * @uses PricingQualifiers::setAccount()
     * @uses PricingQualifiers::setCorporate()
     * @uses PricingQualifiers::setFareOptions()
     * @param \Sabre\OTAAirRules\Structs\Account $account
     * @param \Sabre\OTAAirRules\Structs\Corporate $corporate
     * @param \Sabre\OTAAirRules\Structs\FareOptions $fareOptions
     */
    public function __construct(\Sabre\OTAAirRules\Structs\Account $account = null, \Sabre\OTAAirRules\Structs\Corporate $corporate = null, \Sabre\OTAAirRules\Structs\FareOptions $fareOptions = null)
    {
        $this
            ->setAccount($account)
            ->setCorporate($corporate)
            ->setFareOptions($fareOptions);
    }
    /**
     * Get Account value
     * @return \Sabre\OTAAirRules\Structs\Account|null
     */
    public function getAccount()
    {
        return $this->Account;
    }
    /**
     * Set Account value
     * @param \Sabre\OTAAirRules\Structs\Account $account
     * @return \Sabre\OTAAirRules\Structs\PricingQualifiers
     */
    public function setAccount(\Sabre\OTAAirRules\Structs\Account $account = null)
    {
        $this->Account = $account;
        return $this;
    }
    /**
     * Get Corporate value
     * @return \Sabre\OTAAirRules\Structs\Corporate|null
     */
    public function getCorporate()
    {
        return $this->Corporate;
    }
    /**
     * Set Corporate value
     * @param \Sabre\OTAAirRules\Structs\Corporate $corporate
     * @return \Sabre\OTAAirRules\Structs\PricingQualifiers
     */
    public function setCorporate(\Sabre\OTAAirRules\Structs\Corporate $corporate = null)
    {
        $this->Corporate = $corporate;
        return $this;
    }
    /**
     * Get FareOptions value
     * @return \Sabre\OTAAirRules\Structs\FareOptions|null
     */
    public function getFareOptions()
    {
        return $this->FareOptions;
    }
    /**
     * Set FareOptions value
     * @param \Sabre\OTAAirRules\Structs\FareOptions $fareOptions
     * @return \Sabre\OTAAirRules\Structs\PricingQualifiers
     */
    public function setFareOptions(\Sabre\OTAAirRules\Structs\FareOptions $fareOptions = null)
    {
        $this->FareOptions = $fareOptions;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\OTAAirRules\Structs\PricingQualifiers
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
